=== debian/changelog ===
websocketpp (0.8.1-7) unstable; urgency=medium

  * Fix build with clang compiler
    (patch from meta-oe)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jan 2020 14:23:51 +0100

websocketpp (0.8.1-6) unstable; urgency=medium

  * Mark the package as multi-arch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jan 2020 11:03:46 +0100

websocketpp (0.8.1-5) unstable; urgency=medium

  * debian/patches/857.patch
    - upstream proposed fix for Python3 scons failures (Closes: #947584)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jan 2020 10:07:35 +0100

websocketpp (0.8.1-4) unstable; urgency=medium

  * d/p/855.patch:
    - fix cmake build with boost 1.71
  * d/p/0001-cmake-Use-GNUInstallDirs.patch:
    - cherry-pick from meta-oe
  * bump std-version tp 4.4.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Jan 2020 18:00:58 +0100

websocketpp (0.8.1-3) unstable; urgency=medium

  * debian/patches/0001-Fix-include-directory-installation.patch:
    - Use a customizable include directory to install header files
  * debian/patches/771.patch:
    - upstream fix to bump version number to 0.8.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Sep 2019 11:38:30 +0200

websocketpp (0.8.1-2) unstable; urgency=medium

  * Apply two upstream patches (from meta-oe), to fix issues with new boost
    1.70
  * Bump compat level to 12
  * bump std-version tp 4.4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Aug 2019 08:29:53 +0200

websocketpp (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Drop the two upstream patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 15:46:34 +0200
