=== debian/changelog ===
websocketpp (0.8.2-4) unstable; urgency=medium

  * debian/patches/1024.patch:
    - upstream-proposed patch from László Böszörményi to fix a build failure
      with scons 4.2.0 (Closes: #1003022)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Feb 2022 14:14:37 +0100

websocketpp (0.8.2-3) unstable; urgency=medium

  * Revert last upload (re-enable clang based doxygen parsing now that doxygen
    is fixed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Sep 2020 15:13:20 +0200

websocketpp (0.8.2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gianfranco Costamagna ]
  * Disable clang doxygen parsing (Closes: #971113)
  * Add R^3 no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Sep 2020 19:58:32 +0200

websocketpp (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Drop patches accepted upstream:
    - 0001-Replace-make_shared-with-new-in-some-cases.patch
    - 0002-Fix-missed-entries-fix-testing.patch
    - 771.patch
    - 842.patch
  * Refresh patches:
    - 0001-Correct-clang-compiler-flags.patch
    - 855.patch
  * Bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Apr 2020 10:11:34 +0200
