=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
                zlib1g-dev,
                scons
 Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: https://salsa.debian.org/debian/websocketpp.git
 Vcs-Browser: https://salsa.debian.org/debian/websocketpp
