=== debian/changelog ===
websocketpp (0.8.2+git20250909-1) unstable; urgency=medium

  * New upstream version 0.8.2+git20250909
  * Drop patches now part of upstream codebase:
    - 0001-Correct-clang-compiler-flags.patch
    - 0001-cmake-Use-GNUInstallDirs.patch
    - 1024.patch
    - 855.patch
    - 857.patch
    - deb0a334471362608958ce59a6b0bcd3e5b73c24.patch
  * Add upstream proposed patch to fix compilation with new boost >= 1.87
    - 1164.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Sep 2025 15:51:28 +0200

websocketpp (0.8.2-7) unstable; urgency=medium

  * Stick with boost1.83 for now, fails to build with boost1.88

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Sep 2025 17:45:40 +0200

websocketpp (0.8.2-6) unstable; urgency=medium

  * Fix build with new compat level 13, and use new dh keywords

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Sep 2025 17:32:56 +0200

websocketpp (0.8.2-5) unstable; urgency=medium

  * Bump std-version to 4.7.2, no changes required
  * Bump copyright years
  * Bump compat level to 13
  * d/p/deb0a334471362608958ce59a6b0bcd3e5b73c24.patch: Fix compatibility
    with cmake 4 with upstream patch (Closes: #1113628)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Sep 2025 09:37:08 +0200
