=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libboost-chrono-dev,
                libboost-dev,
                libboost-random-dev,
@@ -14,7 +14,7 @@
                zlib1g-dev,
                scons
 Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: https://salsa.debian.org/debian/websocketpp.git
