=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,21 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_before_dh_auto_clean:
 	rm -rf doxygen build .sconsign.dblite
 
 override_dh_auto_configure:
 	# building examples and tests can spot building problems for programs using this library
 	dh_auto_configure -- -DBUILD_EXAMPLES=ON -DBUILD_TESTS=ON
 
-override_dh_auto_build-indep:
+execute_before_dh_auto_build-indep:
 	doxygen Doxyfile
-	dh_auto_build
 
-override_dh_install:
+execute_before_dh_install-indep:
 	dh_install -plibwebsocketpp-doc doxygen/html/*   usr/share/doc/libwebsocketpp-doc/html
+	rm -rf debian/tmp/usr/lib debian/tmp/usr/include
+
+execute_before_dh_install-arch:
 	dh_install -plibwebsocketpp-dev debian/tmp/usr/* usr
 
 override_dh_auto_test:
